- Qt 6.4
- Qt Core
- C++ Classes
- QXmlStreamNotationDeclaration
- Qt 6.4.2 Reference Documentation

# QXmlStreamNotationDeclaration Class

The QXmlStreamNotationDeclaration class represents a DTD notation declaration. More...

Header: | #include <QXmlStreamNotationDeclaration>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Core) target_link_libraries(mytarget PRIVATE Qt6::Core)
qmake: | QT += core

- List of all members, including inherited members

Note: All functions in this class are reentrant.

## Public Functions

| QXmlStreamNotationDeclaration()
QStringView | name() const
QStringView | publicId() const
QStringView | systemId() const
bool | operator!=(const QXmlStreamNotationDeclaration &other) const
bool | operator==(const QXmlStreamNotationDeclaration &other) const

## Related Non-Members

| QXmlStreamNotationDeclarations

## Detailed Description

An notation declaration consists of a name(), a systemId(), and a publicId().

## Member Function Documentation

### QXmlStreamNotationDeclaration::QXmlStreamNotationDeclaration()

Creates an empty notation declaration.

### QStringView QXmlStreamNotationDeclaration::name() const

Returns the notation name.

### QStringView QXmlStreamNotationDeclaration::publicId() const

Returns the public identifier.

### QStringView QXmlStreamNotationDeclaration::systemId() const

Returns the system identifier.

### bool QXmlStreamNotationDeclaration::operator!=(const QXmlStreamNotationDeclaration &other) const

Compares this notation declaration with other and returns `true` if they are not equal; otherwise returns `false`.

### bool QXmlStreamNotationDeclaration::operator==(const QXmlStreamNotationDeclaration &other) const

Compares this notation declaration with other and returns `true` if they are equal; otherwise returns `false`.

## Related Non-Members

### QXmlStreamNotationDeclarations

Synonym for QList<QXmlStreamNotationDeclaration>.